# org.pdfclown.objects.Cloner Class Reference

Object cloner. More...

Inheritance diagram for org.pdfclown.objects.Cloner:

List of all members.

## Classes
class | AnnotationsFilter
class | Filter
class | PageFilter
## Public Member Functions
| Cloner (File context)
virtual PdfObject | Visit (PdfTextString obj, object data)
| Visits a text string object.
virtual PdfObject | Visit (PdfString obj, object data)
| Visits a string object.
virtual PdfObject | Visit (PdfReal obj, object data)
| Visits a real-number object.
virtual PdfObject | Visit (PdfName obj, object data)
| Visits a name object.
virtual PdfObject | Visit (PdfInteger obj, object data)
| Visits an integer-number object.
virtual PdfObject | Visit (PdfDate obj, object data)
| Visits a date object.
PdfObject | Visit (PdfDataObject obj, object data)
| Visits a data object.
virtual PdfObject | Visit (PdfBoolean obj, object data)
| Visits a boolean object.
override PdfObject | Visit (XRefStream obj, object data)
| Visits a cross-reference stream object.
override PdfObject | Visit (PdfStream obj, object data)
| Visits a stream object.
override PdfObject | Visit (PdfReference obj, object data)
| Visits a reference object.
override PdfObject | Visit (PdfIndirectObject obj, object data)
| Visits an indirect object.
override PdfObject | Visit (PdfDictionary obj, object data)
| Visits an object dictionary.
override PdfObject | Visit (PdfArray obj, object data)
| Visits an object array.
override PdfObject | Visit (ObjectStream obj, object data)
| Visits an object stream.
## Properties
File | Context`[get, set]`
IList< Filter > | Filters`[get]`

##

Object cloner.

## Constructor & Destructor Documentation

org.pdfclown.objects.Cloner.Cloner | ( | File | context | ) |

## Member Function Documentation

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfTextString | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a text string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfString | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a string object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfReal | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a real-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfName | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a name object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfInteger | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits an integer-number object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfDate | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a date object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfDataObject | obj,
|  | object | data |
| ) |  |  | `[inherited]`

Visits a data object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

References org.pdfclown.objects.PdfObject.Accept().

virtual PdfObject org.pdfclown.objects.Visitor.Visit | ( | PdfBoolean | obj,
|  | object | data |
| ) |  |  | `[virtual, inherited]`

Visits a boolean object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Implements org.pdfclown.objects.IVisitor.

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | XRefStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a cross-reference stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | PdfStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a stream object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

References org.pdfclown.bytes.IBuffer.Clone(), and org.pdfclown.objects.PdfObject.Clone().

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | PdfReference | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits a reference object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

References org.pdfclown.objects.IPdfIndirectObject.Clone(), org.pdfclown.objects.PdfObject.File, org.pdfclown.objects.PdfReference.IndirectObject, and org.pdfclown.objects.PdfObject.Reference.

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | PdfIndirectObject | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an indirect object.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | PdfDictionary | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object dictionary.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

References org.pdfclown.objects.PdfObject.Accept(), org.pdfclown.objects.Cloner.Filter.AfterClone(), org.pdfclown.objects.Cloner.Filter.BeforeClone(), and org.pdfclown.objects.PdfObject.Clone().

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | PdfArray | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object array.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

References org.pdfclown.objects.PdfObject.Accept(), org.pdfclown.objects.PdfArray.Add(), org.pdfclown.objects.Cloner.Filter.AfterClone(), org.pdfclown.objects.Cloner.Filter.BeforeClone(), and org.pdfclown.objects.PdfObject.Clone().

override PdfObject org.pdfclown.objects.Cloner.Visit | ( | ObjectStream | obj,
|  | object | data |
| ) |  |  | `[virtual]`

Visits an object stream.

Parameters:

  | object | Visited object.
  | data | Supplemental data.

Returns:
  Result object.

Reimplemented from org.pdfclown.objects.Visitor.

## Property Documentation

File org.pdfclown.objects.Cloner.Context`[get, set]`

Referenced by org.pdfclown.files.IndirectObjects.AddExternal().

IList<Filter> org.pdfclown.objects.Cloner.Filters`[get]`

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.